using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Resource
{
    [SugarTable("Res_Memo")]
    public class Res_MemoInfo : EntityBase
    {
        /// <summary>
        /// 部门Id
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int DepartmentId { get; set; }

        /// <summary>
        /// 阅读级别，1：个人，2：部门，3：公司
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int ReadLevel { get; set; }

        /// <summary>
        /// 标题
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "nvarchar(100)")]
        public string Title { get; set; }

        /// <summary>
        /// 摘要
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "nvarchar(100)")]
        public string Abstracts { get; set; }

        /// <summary>
        /// MarkDown文件路径
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "nvarchar(200)")]
        public string MDFilePath { get; set; }

        /// <summary>
        /// 最后更新时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "datetime")]
        public DateTime LastedEditDt { get; set; }

        /// <summary>
        /// 最后提交用户
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int LastedEditor { get; set; }
    }
}
